Return the result-set for the segment's given runId

If the result-set is not ready yet, the response's is_ready attribute will be equal to false. The match-all request has errored out if the is_ready attribute is false and the run_id_end attribute contains a valid timestamp`; when this occurs please try your request again or alert the support team. If either the RunId or the SegmentId have expired or otherwise do not exist, a 404 with error details will be returned.

result-sets are cached and returned in the same sort order that's requested. If the sort param is not provided it defaults to id. You can specify a different sort order than the original request, however this will break the result's cache for this runId and re-kick-off a new search for results using the same runId

Path Params
string
required

segmentId

string
required

A run id

Query Params
string
enum
Defaults to id

Comma delimited list of fields for which to sort the results. Optionally prepended with a dash sign to indicate descending order. Allowed fields: id, email, phone, first_name, last_name, full_name, cdate, udate, account_name, score, score. The score option will sort off of the value of a particular score.

Examples: "email", "-phone", "score2", "last_name,-first_name"

integer
Defaults to 1

Page Number

integer
≤ 10000
Defaults to 20

Page Size. Maximum: 10,000

Responses

401

Unauthorized

403

Forbidden

Language
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json